## org.apache.solr.common.cloud
Class HashPartitioner

    java.lang.Object
      org.apache.solr.common.cloud.HashPartitioner

    public class HashPartitioner

extends Object

Class to partition int range into n ranges.

Nested Class Summary
`static class` `HashPartitioner.Range`

Constructor Summary
`HashPartitioner()`

Method Summary
`List<HashPartitioner.Range>` `partitionRange(int partitions)` works up to 65537 before requested num of ranges is one short

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HashPartitioner

    public HashPartitioner()

Method Detail

### partitionRange

    public List<HashPartitioner.Range> partitionRange(int partitions)

  works up to 65537 before requested num of ranges is one short

  Parameters:
    `partitions` -
  Returns:
    Range for each partition